Bug 167518

Summary: Deprecate and remove URL.createObjectURL(mediastream)
Product: WebKit Reporter: Eric Carlson <eric.carlson>
Component: MediaAssignee: youenn fablet <youennf>
Status: RESOLVED FIXED    
Severity: Normal CC: buildbot, commit-queue, jonlee, rniwa, webkit-bug-importer, youennf
Priority: P2 Keywords: InRadar
Version: Other   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on:    
Bug Blocks: 169871    
Attachments:
Description Flags
Patch
none
Touching DOMURL.idl for regenerating JSDOMURL files
none
Archive of layout-test-results from ews102 for mac-elcapitan
none
Archive of layout-test-results from ews105 for mac-elcapitan-wk2
none
Archive of layout-test-results from ews126 for ios-simulator-wk2
none
Archive of layout-test-results from ews113 for mac-elcapitan
none
Patch for landing none

Description Eric Carlson 2017-01-27 11:20:36 PST
URL.createObjectURL(mediastream) was removed from the MediaCapture spec in 2013. The WG recently talked about reviving it (https://github.com/w3c/mediacapture-main/issues/404) but decide not to bring it back.

We should either remove it now or add a runtime deprecation warning until other browsers have removed it.

The Firefox bug is here: https://bugzil.la/1334564, and the Chrome bug is here: https://crbug.com/591719.
Comment 1 Radar WebKit Bug Importer 2017-03-20 10:28:46 PDT
<rdar://problem/31149607>
Comment 2 Radar WebKit Bug Importer 2017-03-20 10:28:51 PDT
<rdar://problem/31149613>
Comment 3 youenn fablet 2017-04-04 21:02:46 PDT
Created attachment 306246 [details]
Patch
Comment 4 youenn fablet 2017-04-04 21:31:47 PDT
Mac is failing due to JSDOMURL not being regenerated.
Comment 5 youenn fablet 2017-04-04 21:33:38 PDT
Created attachment 306248 [details]
Touching DOMURL.idl for regenerating JSDOMURL files
Comment 6 Build Bot 2017-04-04 22:37:46 PDT
Comment on attachment 306248 [details]
Touching DOMURL.idl for regenerating JSDOMURL files

Attachment 306248 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/3475729

New failing tests:
fast/mediacapturefromelement/CanvasCaptureMediaStream-request-frame-events.html
fast/mediacapturefromelement/CanvasCaptureMediaStream-webgl-events.html
fast/mediacapturefromelement/CanvasCaptureMediaStream-2d-events.html
Comment 7 Build Bot 2017-04-04 22:37:47 PDT
Created attachment 306254 [details]
Archive of layout-test-results from ews102 for mac-elcapitan

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews102  Port: mac-elcapitan  Platform: Mac OS X 10.11.6
Comment 8 Build Bot 2017-04-04 22:42:18 PDT
Comment on attachment 306248 [details]
Touching DOMURL.idl for regenerating JSDOMURL files

Attachment 306248 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/3475734

New failing tests:
fast/mediacapturefromelement/CanvasCaptureMediaStream-2d-events.html
fast/mediacapturefromelement/CanvasCaptureMediaStream-webgl-events.html
Comment 9 Build Bot 2017-04-04 22:42:19 PDT
Created attachment 306256 [details]
Archive of layout-test-results from ews105 for mac-elcapitan-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews105  Port: mac-elcapitan-wk2  Platform: Mac OS X 10.11.6
Comment 10 Build Bot 2017-04-04 23:06:06 PDT
Comment on attachment 306248 [details]
Touching DOMURL.idl for regenerating JSDOMURL files

Attachment 306248 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/3475748

New failing tests:
fast/mediacapturefromelement/CanvasCaptureMediaStream-request-frame-events.html
fast/mediacapturefromelement/CanvasCaptureMediaStream-2d-events.html
fast/mediacapturefromelement/CanvasCaptureMediaStream-webgl-events.html
Comment 11 Build Bot 2017-04-04 23:06:07 PDT
Created attachment 306257 [details]
Archive of layout-test-results from ews126 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews126  Port: ios-simulator-wk2  Platform: Mac OS X 10.11.6
Comment 12 Build Bot 2017-04-04 23:07:18 PDT
Comment on attachment 306248 [details]
Touching DOMURL.idl for regenerating JSDOMURL files

Attachment 306248 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/3475769

New failing tests:
fast/mediacapturefromelement/CanvasCaptureMediaStream-request-frame-events.html
fast/mediacapturefromelement/CanvasCaptureMediaStream-webgl-events.html
fast/mediacapturefromelement/CanvasCaptureMediaStream-2d-events.html
Comment 13 Build Bot 2017-04-04 23:07:19 PDT
Created attachment 306258 [details]
Archive of layout-test-results from ews113 for mac-elcapitan

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews113  Port: mac-elcapitan  Platform: Mac OS X 10.11.6
Comment 14 youenn fablet 2017-04-05 09:51:13 PDT
Created attachment 306292 [details]
Patch for landing
Comment 15 WebKit Commit Bot 2017-04-05 10:31:40 PDT
Comment on attachment 306292 [details]
Patch for landing

Clearing flags on attachment: 306292

Committed r214951: <http://trac.webkit.org/changeset/214951>
Comment 16 WebKit Commit Bot 2017-04-05 10:31:42 PDT
All reviewed patches have been landed.  Closing bug.